Subject: Re: [PATCH] MAINTAINERS: Add powerpc drivers to the powerpc section

From: Joe Perches <[email-masked]>
Date: Tue, 01 Mar 2016 19:33:02 -0800

On Wed, 2016-03-02 at 14:12 +1100, Michael Ellerman wrote:
> On Wed, 2016-03-02 at 12:20 +1030, Joel Stanley wrote:
> 
> > 
> > On Wed, Mar 2, 2016 at 12:06 PM, Michael Ellerman  wrote:
> > 
> > > 
> > > We'd like folks working on drivers for powerpc to also Cc linuxppc-dev,
> > > so we can be aware of what's going on in drivers and/or review the
> > > changes.
> > > 
> > > So add patterns to the powerpc MAINTAINERS section to catch some of the
> > > drivers we're interested in.
> > There are a few more that would be good. '*opal*.c' catches these:
> > 
> > ./drivers/i2c/busses/i2c-opal.c
> > ./drivers/rtc/rtc-opal.c
> > ./drivers/tty/hvc/hvc_opal.c
> Ah yep thanks, will add "N: opal".

N: and F: have different characteristics for get_maintainer.pl

>>From MAINTAINERS:

	   scripts/get_maintainer.pl has different behavior for files that
	   match F: pattern and matches of N: patterns.  By default,
	   get_maintainer will not look at git log history when an F: pattern
	   match occurs.  When an N: match occurs, git log history is used
	   to also notify the people that have git commit signatures.